Page MenuHomePhabricator

1.34.0-wmf.22 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.34.0-wmf.22
Release Date
1567987200
Related Gerrit Patches:
operations/mediawiki-config : masterGroup0 to 1.34.0-wmf.22
operations/mediawiki-config : masterRevert "Group0 to 1.34.0-wmf.22"
operations/mediawiki-config : masterGroup0 to 1.34.0-wmf.22

2019 week 37 1.34-wmf.22 Changes wmf/1.34.0-wmf.22

This MediaWiki Train Deployment is scheduled for the week of Monday, September 9th:

Monday September 9thTuesday, September 10thWednesday, September 11thThursday, September 12thFriday
SWAT deployments only.Branch wmf.22 and deploy to Group 0 Wikis.Deploy wmf.22 to Group 1 Wikis.Deploy wmf.22 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.22 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.21
Next: 1.34.0-wmf.23

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell triaged this task as Medium priority.Apr 11 2019, 7:10 PM
hashar claimed this task.Sep 2 2019, 9:13 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-10T13:23:41Z] <hashar> ./make-wmf-branch -n 1.34.0-wmf.22 -o master -c extensions/CharInsert # T220747

Mentioned in SAL (#wikimedia-operations) [2019-09-10T13:53:36Z] <hashar> scap prep 1.34.0-wmf.22 # T220747

Mentioned in SAL (#wikimedia-operations) [2019-09-10T13:56:38Z] <hashar> Applied security patches to 1.34.0-wmf.22 # T220747

Change 535598 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.22

https://gerrit.wikimedia.org/r/535598

Mentioned in SAL (#wikimedia-operations) [2019-09-10T13:58:55Z] <hashar@deploy1001> Started scap: testwiki to php-1.34.0-wmf.22 and rebuild l10n cache # T220747

Mentioned in SAL (#wikimedia-operations) [2019-09-10T14:32:58Z] <hashar@deploy1001> Finished scap: testwiki to php-1.34.0-wmf.22 and rebuild l10n cache # T220747 (duration: 34m 03s)

Change 535598 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.22

https://gerrit.wikimedia.org/r/535598

Change 535619 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Revert "Group0 to 1.34.0-wmf.22"

https://gerrit.wikimedia.org/r/535619

Change 535619 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Group0 to 1.34.0-wmf.22"

https://gerrit.wikimedia.org/r/535619

Mentioned in SAL (#wikimedia-operations) [2019-09-10T15:13:04Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: Revert group0 to 1.34.0-wmf.22 # T220747

Change 535629 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.22

https://gerrit.wikimedia.org/r/535629

Change 535629 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.22

https://gerrit.wikimedia.org/r/535629

For now, the train is blocked on T232613, some php7.2 issue to the best I can tell. Though it is possible will rule it out as a blocker and keep proceeding nonetheless but that has yet to be determined.

I have send an announcement to wikitech-l: https://lists.wikimedia.org/pipermail/wikitech-l/2019-September/092535.html

hashar closed this task as Resolved.Sep 16 2019, 1:39 PM

Seems all fine!